#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include "ooodi.h"

char * buildpath(char *path,...)
{
    va_list ap;
    char *s,*t;
    va_start (ap, path);

    t = path;
    
    while((s = va_arg (ap, char *)))
    {
        t = stpcpy(t, s);
        if(*(t-1) != '/')
        {
            *t++ = '/';
        }
    }
    *(t-1) = 0;
    return path;
}

GtkWidget* create_filesel (char *title)
{
  GtkWidget *filesel;
  GtkWidget *fs_ok_button;
  GtkWidget *cancel_button1;

  filesel = gtk_file_selection_new (title);
  gtk_object_set_data (GTK_OBJECT (filesel), "filesel", filesel);
  gtk_container_set_border_width (GTK_CONTAINER (filesel), 10);

  fs_ok_button = GTK_FILE_SELECTION (filesel)->ok_button;
  gtk_object_set_data (GTK_OBJECT (filesel), "fs_ok_button", fs_ok_button);
  gtk_widget_show (fs_ok_button);
  GTK_WIDGET_SET_FLAGS (fs_ok_button, GTK_CAN_DEFAULT);

  cancel_button1 = GTK_FILE_SELECTION (filesel)->cancel_button;
  gtk_object_set_data (GTK_OBJECT (filesel), "cancel_button1", cancel_button1);
  gtk_widget_show (cancel_button1);
  GTK_WIDGET_SET_FLAGS (cancel_button1, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (fs_ok_button), "clicked",
                      GTK_SIGNAL_FUNC (on_fs_button_clicked),
                      "O");
  gtk_signal_connect (GTK_OBJECT (cancel_button1), "clicked",
                      GTK_SIGNAL_FUNC (on_fs_button_clicked),
                      "C");

  return filesel;
}
